const http = require('http');
const fs = require('fs').promises;

const PORT = 3000;
const lastModified=(new Date()).toJSON();
const requestListener = (req,res)=>{
    if(req.headers['if-modified-since'] && req.headers['if-modified-since']===JSON.stringify(lastModified)){
        res.setHeader("Last-Modified",`${JSON.stringify(lastModified)}`);
        res.writeHead(304);
        res.end("Not  applicable");
    }

    else{fs.readFile('./contents/index.html').then(contents=>{
        res.setHeader("Content-Type", "text/html");
        res.setHeader("Last-Modified",`${JSON.stringify(lastModified)}`);
        res.writeHead(200);
        res.end(contents);
    });}
    console.log(req.headers);

}
const server = http.createServer(requestListener);
server.listen(PORT);